Bug 229265 (CVE-2006-5276) - CVE-2006-5276 Vulnerability in Snort DCE/RPC Preprocessor
Summary: CVE-2006-5276 Vulnerability in Snort DCE/RPC Preprocessor
Status: CLOSED ERRATA
Alias: CVE-2006-5276
Product: Fedora
Classification: Fedora
Component: snort   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 20:32 UTC by Dennis Gilmore
Modified: 2018-03-01 15:10 UTC (History)
1 user (show)

Fixed In Version: 2.7.0.1-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 17:20:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2007-02-19 20:32:16 UTC
Description of problem:

Sourcefire has learned of a remotely exploitable vulnerability in the Snort 
DCE/RPC preprocessor. This preprocessor is vulnerable to a stack-based buffer 
overflow that could potentially allow attackers to execute code with the same 
privileges as the Snort binary. Sourcefire has prepared updates for Snort 
open-source software to address this issue. 

Version-Release number of selected component (if applicable):
Snort Versions Affected:

    * Snort 2.6.1, 2.6.1.1, and 2.6.1.2
    * Snort 2.7.0 beta 1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2007-09-07 17:20:22 UTC
snort-2.7.0.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.